package constants

const (
	PermissionUserView   = "user:view"
	PermissionUserEdit   = "user:edit"
	PermissionUserDelete = "user:delete"

	PermissionRoleView   = "role:view"
	PermissionRoleEdit   = "role:edit"
	PermissionRoleDelete = "role:delete"
)

var CommonPermissionNames = map[string]*Permission{
	PermissionUserView: {
		Name: "用户查看",
	},
	PermissionUserEdit: {
		Name: "用户编辑",
	},
	PermissionUserDelete: {
		Name: "用户删除",
	},
	PermissionRoleView: {
		Name: "角色查看",
	},
	PermissionRoleEdit: {
		Name: "角色编辑",
	},
	PermissionRoleDelete: {
		Name: "角色删除",
	},
}
